## dbus-python 1.2.4

=== debian/changelog ===
dbus-python (1.2.4-1) unstable; urgency=medium

  * New upstream release
    - dbus.version is a tuple again (Closes: #816729)
    - includes headers in a consistent order (Closes: #749133)
  * Update debian/copyright
  * Update build tests: they no longer need to edit the dbus-glib
    main loop module to be compilable out-of-tree
  * Standards-Version: 3.9.7 (no changes needed)
  * Normalize packaging via wrap-and-sort -abst

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Mar 2016 17:56:49 +0000

dbus-python (1.2.2-2) experimental; urgency=medium

  * Enable the new python[3]-dbus-tests packages that were disabled in
    the previous upload

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2016 16:46:46 +0000

dbus-python (1.2.2-1) unstable; urgency=low

  * New upstream release
    - build-depend on autoconf-archive, now required for autoreconf
    - explicitly set build system to autoconf since there is now a stub
      setup.py
    - d/copyright: update
  * Switch Vcs-Git to https (see #810378)
  * Remove dbus.mainloop.qt recommendation as requested by Qt maintainers
    (Closes: #802659)
  * Run dh_install with --list-missing to guard against mistakes
  * Override lintian warnings about confusing dbus with D-Bus: we are
    careful to use both terms correctly
  * python-dbus-dev: add missing dependency on libdbus-1-dev
  * Enable build-time testing
    - build-depend on dbus
  * Add infrastructure for installed-tests for architecture-specific
    builds, and add corresponding autopkgtests
    - disable installed-tests for the architecture-indep build, which is
      only there for the documentation
    - temporarily disable the new packages for this upload,
      to avoid the NEW queue

 -- Simon McVittie <smcv@debian.org>  Mon, 22 Feb 2016 16:44:00 +0000
