=== debian/tests/control ===
Tests: build2
Depends:
 build-essential,
 libdbus-glib-1-dev,
 python-all-dbg,
 python-all-dev,
 python-dbus,
 python-dbus-dbg,
 python-dbus-dev,

Tests: build3
Depends:
 build-essential,
 libdbus-glib-1-dev,
 python-dbus-dev,
 python3-all-dbg,
 python3-all-dev,
 python3-dbus,
 python3-dbus-dbg,

Tests: python2
Depends:
 dbus,
 gnome-desktop-testing,
 python-dbus-tests,
 python-gi,

Tests: python3
Depends:
 dbus,
 gnome-desktop-testing,
 python3-dbus-tests,
 python3-gi,
