## dbus-python 1.2.6

=== debian/changelog ===
dbus-python (1.2.6-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update
    - d/control: Update dependencies
    - dbus-glib is no longer required
  * debian/gbp.conf: use DEP-14 branch names
  * Standards-Version: 4.1.3
    - Promote -dbg packages from extra to optional priority
  * Advance to debhelper compat level 11
    - do not explicitly use dh-autoreconf, it is now the default
  * debian/copyright: Fully switch to machine-readable format
  * debian/watch: Use https
  * debian/watch, debian/upstream/signing-key.asc: Look for a signature
  * debian/python-dbus.postinst: Remove cleanup code for very old
    (pre-2006) versions. Upgrades that skip a stable release are not
    supported, so upgrades that skip 5 stable releases are right out.
  * Set Rules-Requires-Root to no
  * d/control: Set Vcs-* to point to salsa.debian.org
  * d/rules: Prefer "set -e; ..." over "set -e && ..." due to the
    side-effects of && under set -e
  * python3-dbus-dbg: Depend on ${python3:Depends}, not ${python:Depends}
  * Install .pc file into /usr/share to be nice to cross-compilers.
    It does not actually contain anything architecture-specific.
  * Enable bindnow hardening
  * Install most documentation in /u/s/d/python-dbus-doc with symlinks
    in /u/s/d/python{,3}-dbus

 -- Simon McVittie <smcv@debian.org>  Mon, 29 Jan 2018 19:57:57 +0000
