=== debian/control ===
--- 
+++ 
@@ -11,15 +11,14 @@
  autoconf,
  autoconf-archive,
  automake,
- dbus,
- debhelper (>= 9),
- dh-autoreconf,
+ dbus (>= 1.8),
+ debhelper (>= 11~),
  dh-python,
  dpkg-dev (>= 1.16.1),
- libdbus-1-dev (>= 1.6),
- libdbus-glib-1-dev (>= 0.71),
- python-all-dbg (>= 2.6.6-3~),
- python-all-dev (>= 2.6.6-3~),
+ libdbus-1-dev (>= 1.8),
+ libglib2.0-dev (>= 2.40),
+ python-all-dbg (>= 2.7),
+ python-all-dev (>= 2.7),
  python-gi,
  python3-all-dbg,
  python3-all-dev,
@@ -28,12 +27,13 @@
 Build-Depends-Indep:
  python-docutils,
  python-epydoc (>= 3.0~beta1),
-Standards-Version: 3.9.7
-X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+Rules-Requires-Root: no
+Standards-Version: 4.1.3
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.4
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
-Vcs-Git: https://anonscm.debian.org/git/pkg-utopia/dbus-python.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-utopia/dbus-python.git
+Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
+Vcs-Browser: https://salsa.debian.org/debian/dbus-python
 
 Package: python-dbus
 Section: python
@@ -68,7 +68,6 @@
 
 Package: python-dbus-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  python-dbg,
@@ -159,13 +158,12 @@
 
 Package: python3-dbus-dbg
 Section: debug
-Priority: extra
 Architecture: any
 Depends:
  python3-dbg,
  python3-dbus (= ${binary:Version}),
  ${misc:Depends},
- ${python:Depends},
+ ${python3:Depends},
  ${shlibs:Depends},
 Description: debug build of the D-Bus Python 3 interface
  This package provides a version of the python3-dbus package built for
