=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 # Copyright © 2003 Daniel Stone <daniels@debian.org>
 # Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
 # Copyright © 2012 Collabora Ltd.
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 include /usr/share/dpkg/default.mk
 
@@ -13,14 +15,24 @@
 FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
 
 %:
-	dh $@ --with python2,python3,autoreconf --buildsystem=autoconf
+	dh $@ --with python2,python3 --buildsystem=autoconf
 
+# The special case for 2.7-dbg is a workaround. Python 2 doesn't have the
+# LDVERSION sysconfig variable, which would give AX_PYTHON_DEVEL the
+# information it needs to know that it should link -lpython2.7_d and not
+# -lpython2.7.
 override_dh_auto_configure-arch:
-	set -e && for x in $(FLAVOURS); do \
+	set -e; for x in $(FLAVOURS); do \
+		if [ "x$$x" = x2.7-dbg ]; then \
+			maybe_python_libs="PYTHON_LIBS=-lpython2.7_d"; \
+		else \
+			maybe_python_libs=""; \
+		fi; \
 		dh_auto_configure \
 			--builddirectory=build-$$x \
 			-- \
 			PYTHON=/usr/bin/python$$x \
+			$${maybe_python_libs} \
 			--disable-api-docs \
 			--disable-html-docs \
 			--enable-installed-tests \
@@ -37,7 +49,7 @@
 		${NULL}
 
 override_dh_auto_build-arch:
-	set -e && for x in $(FLAVOURS); do \
+	set -e; for x in $(FLAVOURS); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_build \
 			--arch \
@@ -51,7 +63,7 @@
 	dh_auto_build --indep --builddirectory=build-indep
 
 override_dh_auto_test-arch:
-	set -e && for x in $(PYTHON2) $(PYTHON3); do \
+	set -e; for x in $(PYTHON2) $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		VERBOSE=1 \
 		dh_auto_test --arch --builddirectory=build-$$x; \
@@ -63,7 +75,7 @@
 	:
 
 override_dh_auto_install-arch:
-	set -e && for x in $(PYTHON2); do \
+	set -e; for x in $(PYTHON2); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
@@ -91,7 +103,7 @@
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
 	done
-	set -e && for x in $(PYTHON3); do \
+	set -e; for x in $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
 			--arch \
@@ -136,9 +148,16 @@
 	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
 	dh_install --list-missing
 
-override_dh_installdocs-arch:
+override_dh_installexamples:
+	dh_installexamples --doc-main-package=python-dbus-doc -ppython-dbus-doc
+	dh_installexamples --remaining-packages
+
+override_dh_installdocs:
 	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
 	dh_installdocs --link-doc=python3-dbus -ppython3-dbus-dbg
+	dh_installdocs --doc-main-package=python-dbus -ppython-dbus
+	dh_installdocs --doc-main-package=python-dbus-doc -ppython-dbus-doc
+	dh_installdocs --doc-main-package=python3-dbus -ppython3-dbus
 	dh_installdocs --remaining-packages
 
 override_dh_auto_clean:
