=== debian/tests/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Tests: build2
 Depends:
  build-essential,
- libdbus-glib-1-dev,
+ libglib2.0-dev,
  python-all-dbg,
  python-all-dev,
  python-dbus,
@@ -11,7 +11,7 @@
 Tests: build3
 Depends:
  build-essential,
- libdbus-glib-1-dev,
+ libglib2.0-dev,
  python-dbus-dev,
  python3-all-dbg,
  python3-all-dev,
