=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://dbus.freedesktop.org/releases/dbus-python/dbus-python-(\d+\.\d*[02468]\..*)\.tar\.gz
