## dbus-python 1.2.8

=== debian/changelog ===
dbus-python (1.2.8-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/tests: Use AUTOPKGTEST_ARTIFACTS instead of ADT_ARTIFACTS
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * d/changelog: Remove trailing whitespaces

  [ Simon McVittie ]
  * Rename d/tests/control.autodep8 to d/tests/control.
    This name is supported since autodep8 0.16 and autopkgtest 5.7.
  * Don't install the detailed ChangeLog (upstream git history),
    only the user-facing summary in NEWS.
  * Standards-Version: 4.3.0 (no further changes)

 -- Simon McVittie <smcv@debian.org>  Tue, 29 Jan 2019 08:49:02 +0000

dbus-python (1.2.8-2) unstable; urgency=medium

  * d/p/cross-test-client-Wait-until-default-method-timeout-for-E.patch,
    d/p/cross-test-server-Avoid-a-race-condition-in-the-client.patch:
    Fix a long-standing race condition in the automated tests that caused
    FTBFS on armhf around 6% of the time (Closes: #898158)
  * Remove X-Python{,3}-Version annotations. The required versions are the
    oldest supported in oldstable, so the annotations are unnecessary.
  * Run tests with LC_ALL=C.UTF-8, to avoid trying to print localized
    messages in a LC_CTYPE that might not support them

 -- Simon McVittie <smcv@debian.org>  Wed, 09 May 2018 10:19:16 +0100

dbus-python (1.2.8-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.1.4 (no changes required)
  * d/tests/build*: Silence some irrelevant warnings
  * Set Testsuite: autopkgtest-pkg-python to opt-in to standard autodep8
    smoke-tests
  * Use dh_sphinxdoc
  * Override lintian warning for use of python-sphinx. The Python 2
    version of dbus-python has slightly more API than the Python 3
    version, which we should document until Python 2 becomes completely
    unsupported.
  * Use dh_missing with --fail-missing
  * Add build- and test-dependencies on python[3]-tap

 -- Simon McVittie <smcv@debian.org>  Fri, 04 May 2018 18:41:52 +0100
