=== debian/control ===
--- 
+++ 
@@ -20,20 +20,22 @@
  python-all-dbg (>= 2.7),
  python-all-dev (>= 2.7),
  python-gi,
+ python-tap,
  python3-all-dbg,
  python3-all-dev,
  python3-gi,
+ python3-tap,
+ sphinx-common,
  xmlto,
 Build-Depends-Indep:
- python-docutils,
- python-epydoc (>= 3.0~beta1),
+ python-sphinx,
+ python-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
-X-Python3-Version: >= 3.4
+Standards-Version: 4.3.0
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
 Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
 Vcs-Browser: https://salsa.debian.org/debian/dbus-python
+Testsuite: autopkgtest-pkg-python
 
 Package: python-dbus
 Section: python
@@ -105,8 +107,10 @@
 Package: python-dbus-doc
 Section: doc
 Architecture: all
+Built-Using: ${sphinxdoc:Built-Using}
 Depends:
  ${misc:Depends},
+ ${sphinxdoc:Depends},
 Suggests:
  python-dbus | python3-dbus,
 Description: Documentation for the D-Bus Python interface
