=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,13 @@
 
 PYTHON2 := $(shell pyversions --requested --version debian/control)
 PYTHON3 := $(shell py3versions --requested --version debian/control)
+# We use Python 2 for documentation so we can document UTF8String.
 PYDEFAULTVER := $(shell pyversions --default --version)
 
 FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
 
 %:
-	dh $@ --with python2,python3 --buildsystem=autoconf
+	dh $@ --with python2,python3,sphinxdoc --buildsystem=autoconf
 
 # The special case for 2.7-dbg is a workaround. Python 2 doesn't have the
 # LDVERSION sysconfig variable, which would give AX_PYTHON_DEVEL the
@@ -33,8 +34,7 @@
 			-- \
 			PYTHON=/usr/bin/python$$x \
 			$${maybe_python_libs} \
-			--disable-api-docs \
-			--disable-html-docs \
+			--disable-documentation \
 			--enable-installed-tests \
 			--libdir=/usr/lib \
 			; \
@@ -45,7 +45,9 @@
 		-- \
 		--libdir=/usr/lib \
 		--disable-installed-tests \
+		--enable-documentation \
 		--docdir=/usr/share/doc/python-dbus-doc \
+		--htmldir=/usr/share/doc/python-dbus-doc/html \
 		${NULL}
 
 override_dh_auto_build-arch:
@@ -64,9 +66,11 @@
 
 override_dh_auto_test-arch:
 	set -e; for x in $(PYTHON2) $(PYTHON3); do \
+		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x \
 		VERBOSE=1 \
 		dh_auto_test --arch --builddirectory=build-$$x; \
+		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x-dbg \
 		VERBOSE=1 \
 		dh_auto_test --arch --builddirectory=build-$$x-dbg; \
@@ -138,7 +142,6 @@
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
 	done
 
-# do not install any docs, we copy those from the builddir
 override_dh_auto_install-indep:
 	make -C build-indep install-data DESTDIR=$(CURDIR)/debian/tmp
 
@@ -146,7 +149,10 @@
 	rm -fr debian/tmp/usr/share/doc/dbus-python
 	find debian/tmp -name '*.py[co]' -print0 | xargs -0 rm -f
 	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
-	dh_install --list-missing
+	dh_install
+
+override_dh_installchangelogs:
+	dh_installchangelogs -XChangeLog
 
 override_dh_installexamples:
 	dh_installexamples --doc-main-package=python-dbus-doc -ppython-dbus-doc
@@ -160,10 +166,16 @@
 	dh_installdocs --doc-main-package=python3-dbus -ppython3-dbus
 	dh_installdocs --remaining-packages
 
+override_dh_sphinxdoc-indep:
+	dh_sphinxdoc /usr/share/doc/python-dbus-doc/html
+
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -Rf build-* install-2* install-3* debian/tmp-dbg
 	find . -name '*.py[co]' -print0 | xargs -0 rm -f
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_strip:
 	dh_strip --dbg-package=python-dbus-dbg -ppython-dbus -ppython-dbus-dbg -ppython-dbus-tests
