## dbus-python 1.2.12

=== debian/changelog ===
dbus-python (1.2.12-1) unstable; urgency=medium

  * New upstream release
    - Fixes a build regression in libsecret by restoring the ability to
      raise SystemExit from a dbus-python method (Closes: #940087)

 -- Simon McVittie <smcv@debian.org>  Thu, 12 Sep 2019 10:58:27 +0100

dbus-python (1.2.10-1) unstable; urgency=medium

  * New upstream release
    - d/copyright: Update
    - Drop patches, applied upstream
  * d/salsa-ci.yml: Request standard CI on salsa.debian.org
  * Use python3-sphinx to build documentation.
    This means UTF8String, which is Python-2-only API, will not be
    documented.
  * Build-depend on python2-dbg and python2-dev instead of python-all-dbg
    and python-all-dev. Only build for the default version of Python 2,
    not for all versions of Python 2 (in practice this has meant the
    same thing since 2.6 was de-supported in 2013).
  * Add a build-profile to disable Python 2 packages.
    We can't remove them yet (see the blocking bugs of #936371) but at
    least we can start to clear a path to doing so.
  * Annotate python[3]-tap build-dependencies as <!nocheck>.
    Thanks to Helmut Grohne. (Closes: #930623)
  * d/tests/control: Mark python2 tests as skip-not-installable.
    Eventually, we want Python 2 to disappear.
  * Standards-Version: 4.4.0 (no further changes)
  * Install the egg-info metadata (Closes: #910881)

 -- Simon McVittie <smcv@debian.org>  Mon, 02 Sep 2019 16:19:12 +0100
