=== debian/control ===
--- 
+++ 
@@ -14,30 +14,33 @@
  dbus (>= 1.8),
  debhelper (>= 11~),
  dh-python,
+ dh-sequence-python2 <!pkg.dbus-python.nopython2>,
+ dh-sequence-python3,
  dpkg-dev (>= 1.16.1),
  libdbus-1-dev (>= 1.8),
  libglib2.0-dev (>= 2.40),
- python-all-dbg (>= 2.7),
- python-all-dev (>= 2.7),
- python-gi,
- python-tap,
+ python2-dbg <!pkg.dbus-python.nopython2>,
+ python2-dev <!pkg.dbus-python.nopython2>,
+ python-gi <!pkg.dbus-python.nopython2>,
+ python-tap <!pkg.dbus-python.nopython2 !nocheck>,
  python3-all-dbg,
  python3-all-dev,
  python3-gi,
- python3-tap,
+ python3-tap <!nocheck>,
  sphinx-common,
  xmlto,
 Build-Depends-Indep:
- python-sphinx,
- python-sphinx-rtd-theme,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: http://www.freedesktop.org/wiki/Software/DBusBindings#Python
 Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
 Vcs-Browser: https://salsa.debian.org/debian/dbus-python
 Testsuite: autopkgtest-pkg-python
 
 Package: python-dbus
+Build-Profiles: <!pkg.dbus-python.nopython2>
 Section: python
 Architecture: any
 Depends:
@@ -69,6 +72,7 @@
  See the dbus description for more information about D-Bus in general.
 
 Package: python-dbus-dbg
+Build-Profiles: <!pkg.dbus-python.nopython2>
 Section: debug
 Architecture: any
 Depends:
@@ -118,6 +122,7 @@
  python-dbus and python3-dbus packages.
 
 Package: python-dbus-tests
+Build-Profiles: <!pkg.dbus-python.nopython2>
 Section: python
 Architecture: any
 Depends:
