=== debian/rules ===
--- 
+++ 
@@ -4,19 +4,24 @@
 # Copyright © 2006 Sjoerd Simons <sjoerd@debian.org>
 # Copyright © 2012 Collabora Ltd.
 
+binaries := $(shell dh_listpackages)
+
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 include /usr/share/dpkg/default.mk
 
-PYTHON2 := $(shell pyversions --requested --version debian/control)
+ifneq ($(filter python-dbus,$(binaries)),)
+PYTHON2 := $(shell pyversions --default --version)
+else
+PYTHON2 :=
+endif
 PYTHON3 := $(shell py3versions --requested --version debian/control)
-# We use Python 2 for documentation so we can document UTF8String.
-PYDEFAULTVER := $(shell pyversions --default --version)
+PYDEFAULTVER := $(shell py3versions --default --version)
 
 FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=autoconf
+	dh $@ --with sphinxdoc --buildsystem=autoconf
 
 # The special case for 2.7-dbg is a workaround. Python 2 doesn't have the
 # LDVERSION sysconfig variable, which would give AX_PYTHON_DEVEL the
@@ -43,6 +48,7 @@
 	dh_auto_configure \
 		--builddirectory=build-indep \
 		-- \
+		PYTHON=/usr/bin/python3 \
 		--libdir=/usr/lib \
 		--disable-installed-tests \
 		--enable-documentation \
@@ -62,7 +68,7 @@
 			$(NULL); \
 	done
 override_dh_auto_build-indep:
-	dh_auto_build --indep --builddirectory=build-indep
+	PYTHON=/usr/bin/python3 dh_auto_build --indep --builddirectory=build-indep
 
 override_dh_auto_test-arch:
 	set -e; for x in $(PYTHON2) $(PYTHON3); do \
@@ -79,6 +85,7 @@
 	:
 
 override_dh_auto_install-arch:
+ifneq ($(filter python-dbus,$(binaries)),)
 	set -e; for x in $(PYTHON2); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
@@ -106,7 +113,13 @@
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
 		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
-	done
+		install -d debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info; \
+		install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
+		install -m644 dbus_python.egg-info/dependency_links.txt debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
+		install -m644 dbus_python.egg-info/top_level.txt debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
+		touch debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/not-zip-safe; \
+	done
+endif
 	set -e; for x in $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
@@ -141,11 +154,22 @@
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
 	done
+	install -d debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info
+	install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
+	install -m644 dbus_python.egg-info/dependency_links.txt debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
+	install -m644 dbus_python.egg-info/top_level.txt debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
+	touch debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/not-zip-safe
 
 override_dh_auto_install-indep:
-	make -C build-indep install-data DESTDIR=$(CURDIR)/debian/tmp
+	dh_auto_install \
+		--indep \
+		--builddirectory=build-indep \
+		--destdir=debian/tmp-indep \
+		$(NULL)
 
 override_dh_install:
+	rm -fr debian/tmp/usr/include
+	rm -fr debian/tmp/usr/lib/pkgconfig
 	rm -fr debian/tmp/usr/share/doc/dbus-python
 	find debian/tmp -name '*.py[co]' -print0 | xargs -0 rm -f
 	find debian/tmp -name '*.la' -print0 | xargs -0 rm -f
@@ -159,9 +183,11 @@
 	dh_installexamples --remaining-packages
 
 override_dh_installdocs:
+ifneq ($(filter python-dbus,$(binaries)),)
 	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
+	dh_installdocs --doc-main-package=python-dbus -ppython-dbus
+endif
 	dh_installdocs --link-doc=python3-dbus -ppython3-dbus-dbg
-	dh_installdocs --doc-main-package=python-dbus -ppython-dbus
 	dh_installdocs --doc-main-package=python-dbus-doc -ppython-dbus-doc
 	dh_installdocs --doc-main-package=python3-dbus -ppython3-dbus
 	dh_installdocs --remaining-packages
@@ -178,19 +204,3 @@
 	dh_missing --fail-missing
 
 override_dh_strip:
-	dh_strip --dbg-package=python-dbus-dbg -ppython-dbus -ppython-dbus-dbg -ppython-dbus-tests
-	dh_strip --dbg-package=python3-dbus-dbg -ppython3-dbus -ppython3-dbus-dbg -ppython3-dbus-tests
-
-override_dh_python2:
-	dh_python2
-	set -e; for x in $(PYTHON2) $(patsubst %,%-dbg,$(PYTHON2)); do \
-		dh_python2 --shebang="/usr/bin/python$$x" \
-			/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/dbus-python/python$$x; \
-	done
-
-override_dh_python3:
-	dh_python3
-	set -e; for x in $(PYTHON3) $(patsubst %,%-dbg,$(PYTHON3)); do \
-		dh_python3 --shebang="/usr/bin/python$$x" \
-			/usr/lib/$(DEB_HOST_MULTIARCH)/installed-tests/dbus-python/python$$x; \
-	done
