=== debian/tests/control ===
--- 
+++ 
@@ -1,4 +1,5 @@
 Tests: build2
+Restrictions: skip-not-installable
 Depends:
  build-essential,
  libglib2.0-dev,
@@ -19,11 +20,13 @@
  python3-dbus-dbg,
 
 Tests: python2
+Restrictions: skip-not-installable
 Depends:
  dbus,
  gnome-desktop-testing,
  python-dbus-tests,
  python-gi,
+ python-tap,
 
 Tests: python3
 Depends:
@@ -31,3 +34,4 @@
  gnome-desktop-testing,
  python3-dbus-tests,
  python3-gi,
+ python3-tap,
