## dbus-python 1.2.16

=== debian/changelog ===
dbus-python (1.2.16-5) unstable; urgency=medium

  [ Helmut Grohne ]
  * Drop unused Build-Depends: xmlto (Closes: #981266)

  [ Simon McVittie ]
  * Standards-Version: 4.5.1 (no changes required)

 -- Simon McVittie <smcv@debian.org>  Sat, 30 Jan 2021 15:49:14 +0000

dbus-python (1.2.16-4) unstable; urgency=medium

  * Skip dh_dwz on mipsel (workaround for #972269)

 -- Simon McVittie <smcv@debian.org>  Thu, 15 Oct 2020 17:53:44 +0100

dbus-python (1.2.16-3) unstable; urgency=medium

  * Build without Python 2 support (Closes: #936371, #942941)

 -- Simon McVittie <smcv@debian.org>  Thu, 16 Jul 2020 17:40:09 +0100

dbus-python (1.2.16-2) unstable; urgency=medium

  * Team upload.
  [ Simon McVittie ]
  * Standards-Version: 4.5.0 (no changes required)

  [ Laurent Bigonville ]
  * debian/rules: Do not run the tests in parallel to fix FTBFS on kfreebsd,
    see #956438

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Apr 2020 13:32:48 +0200

dbus-python (1.2.16-1) unstable; urgency=medium

  * New upstream release
    - Drop dependency on python-tap by tolerating less comprehensive test
      output (unblocks: #938625)
  * Switch to debhelper-compat 12
  * Install tests to /usr/libexec/installed-tests
  * d/control: Canonicalize (wrap-and-sort -abst)
  * Remove ancient Breaks, Conflicts, Replaces that were already satisfied
    in Debian 8 'jessie'
  * python-dbus-dbg: Depend on python2-dbg instead of python-dbg.
    Thanks to Matthias Klose.
  * Only use sphinxdoc debhelper sequence when building Architecture: all
    packages. Thanks to Helmut Grohne. (Closes: #946212)
  * Use secure URI in Homepage field
  * d/upstream/metadata: Add

 -- Simon McVittie <smcv@debian.org>  Tue, 14 Jan 2020 10:09:22 +0000

dbus-python (1.2.14-1) unstable; urgency=medium

  * New upstream release
    - Fixes a regression with str() in Python 3.8

 -- Simon McVittie <smcv@debian.org>  Mon, 25 Nov 2019 19:18:13 +0000

dbus-python (1.2.12-2) unstable; urgency=medium

  * Standards-Version: 4.4.1 (no changes required)
  * d/tests/build2, d/tests/python2: Use python2, not python
  * Rename dbus_py_test.so to dbus_py_test.cpython_*.so and install
    in dist-packages. This works around dh-python having different
    handling for public and private library directories (see #942720).
    (Closes: #943630)

 -- Simon McVittie <smcv@debian.org>  Mon, 18 Nov 2019 13:36:11 +0000
