=== debian/control ===
Source: dbus-python
Section: devel
Priority: optional
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders:
 Sjoerd Simons <sjoerd@debian.org>,
 Sebastian Dröge <slomo@debian.org>,
 Simon McVittie <smcv@debian.org>,
 Loic Minier <lool@dooz.org>,
Build-Depends:
 autoconf,
 autoconf-archive,
 automake,
 dbus (>= 1.8),
 debhelper-compat (= 12),
 dh-python,
 dh-sequence-python3,
 dpkg-dev (>= 1.16.1),
 libdbus-1-dev (>= 1.8),
 libglib2.0-dev (>= 2.40),
 python3-all-dbg,
 python3-all-dev,
 python3-gi,
 python3-tap <!nocheck>,
Build-Depends-Indep:
 python3-sphinx,
 python3-sphinx-rtd-theme,
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://www.freedesktop.org/wiki/Software/DBusBindings#Python
Vcs-Git: https://salsa.debian.org/debian/dbus-python.git
Vcs-Browser: https://salsa.debian.org/debian/dbus-python
Testsuite: autopkgtest-pkg-python

Package: python-dbus-dev
Section: python
Architecture: all
Depends:
 libdbus-1-dev (>= 1.6),
 ${misc:Depends},
Description: main loop integration development files for python3-dbus
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides development files required to compile main-loop
 integration modules for python3-dbus, such as dbus.mainloop.pyqt5 provided
 by PyQt. It is Python-version-independent, and was shared between Python 3
 and Python 2 when Python 2 was supported in Debian, so packages that
 build-depend on python-dbus-dev should also build-depend on python3-dbus
 and/or python3-dbus-dbg.

Package: python-dbus-doc
Section: doc
Architecture: all
Built-Using:
 ${sphinxdoc:Built-Using},
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Suggests:
 python3-dbus,
Description: Documentation for the D-Bus Python interface
 This package provides text and HTML documentation, and examples, for the
 python3-dbus package.

Package: python3-dbus
Section: python
Architecture: any
Depends:
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 python3-gi,
Suggests:
 python-dbus-doc,
 python3-dbus-dbg,
Provides:
 ${python3:Provides},
Description: simple interprocess messaging system (Python 3 interface)
 D-Bus is a message bus, used for sending messages between applications.
 Conceptually, it fits somewhere in between raw sockets and CORBA in
 terms of complexity.
 .
 This package provides a Python 3 interface to D-Bus.
 .
 See the dbus description for more information about D-Bus in general.

Package: python3-dbus-dbg
Section: debug
Architecture: any
Depends:
 python3-dbg,
 python3-dbus (= ${binary:Version}),
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Description: debug build of the D-Bus Python 3 interface
 This package provides a version of the python3-dbus package built for
 debugging versions of Python 3, and debug symbols for python3-dbus.

Package: python3-dbus-tests
Section: python
Architecture: any
Depends:
 dbus,
 python3-dbus,
 ${misc:Depends},
 ${python3:Depends},
 ${shlibs:Depends},
Recommends:
 gnome-desktop-testing,
 python3-gi,
Description: simple interprocess messaging system (Python 3 interface - tests)
 D-Bus is a message bus, used for sending messages between applications.
 .
 This package contains automated tests for the "dbus" Python bindings for
 the reference D-Bus implementation, to be run under Python 3.
 .
 See the dbus description for more information about D-Bus in general.
