=== debian/rules ===
--- 
+++ 
@@ -10,35 +10,21 @@
 
 include /usr/share/dpkg/default.mk
 
-ifneq ($(filter python-dbus,$(binaries)),)
-PYTHON2 := $(shell pyversions --default --version)
-else
-PYTHON2 :=
-endif
 PYTHON3 := $(shell py3versions --requested --version debian/control)
 PYDEFAULTVER := $(shell py3versions --default --version)
 
-FLAVOURS := $(patsubst %,%-dbg,$(PYTHON2) $(PYTHON3)) $(PYTHON2) $(PYTHON3)
+FLAVOURS := $(patsubst %,%-dbg,$(PYTHON3)) $(PYTHON3)
 
 %:
-	dh $@ --with sphinxdoc --buildsystem=autoconf
+	dh $@ $(DH_ADDONS) --buildsystem=autoconf
+build binary %-indep: DH_ADDONS=--with=sphinxdoc
 
-# The special case for 2.7-dbg is a workaround. Python 2 doesn't have the
-# LDVERSION sysconfig variable, which would give AX_PYTHON_DEVEL the
-# information it needs to know that it should link -lpython2.7_d and not
-# -lpython2.7.
 override_dh_auto_configure-arch:
 	set -e; for x in $(FLAVOURS); do \
-		if [ "x$$x" = x2.7-dbg ]; then \
-			maybe_python_libs="PYTHON_LIBS=-lpython2.7_d"; \
-		else \
-			maybe_python_libs=""; \
-		fi; \
 		dh_auto_configure \
 			--builddirectory=build-$$x \
 			-- \
 			PYTHON=/usr/bin/python$$x \
-			$${maybe_python_libs} \
 			--disable-documentation \
 			--enable-installed-tests \
 			--libdir=/usr/lib \
@@ -71,55 +57,20 @@
 	PYTHON=/usr/bin/python3 dh_auto_build --indep --builddirectory=build-indep
 
 override_dh_auto_test-arch:
-	set -e; for x in $(PYTHON2) $(PYTHON3); do \
+	set -e; for x in $(PYTHON3); do \
 		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x \
 		VERBOSE=1 \
-		dh_auto_test --arch --builddirectory=build-$$x; \
+		dh_auto_test --no-parallel --arch --builddirectory=build-$$x; \
 		LC_ALL=C.UTF-8 \
 		PYTHON=/usr/bin/python$$x-dbg \
 		VERBOSE=1 \
-		dh_auto_test --arch --builddirectory=build-$$x-dbg; \
+		dh_auto_test --no-parallel --arch --builddirectory=build-$$x-dbg; \
 	done
 override_dh_auto_test-indep:
 	:
 
 override_dh_auto_install-arch:
-ifneq ($(filter python-dbus,$(binaries)),)
-	set -e; for x in $(PYTHON2); do \
-		PYTHON=/usr/bin/python$$x \
-		dh_auto_install \
-			--arch \
-			--builddirectory=build-$$x \
-			--destdir=debian/tmp \
-			-- \
-			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
-			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x" \
-			pyexecdir='$${pythondir}' \
-			pythondir='$${libdir}'/python$$x/dist-packages \
-			; \
-		PYTHON=/usr/bin/python$$x-dbg \
-		dh_auto_install \
-			--arch \
-			--builddirectory=build-$$x-dbg \
-			--destdir=debian/tmp-dbg \
-			-- \
-			installed_testdir='$${libexecdir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x-dbg" \
-			installed_test_metadir='$${datadir}/installed-tests/$${PACKAGE_TARNAME}/'"python$$x-dbg" \
-			pyexecdir='$${pythondir}' \
-			pythondir='$${libdir}'/python$$x/dist-packages \
-			; \
-		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_bindings.so \
-			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_bindings_d.so; \
-		install debian/tmp-dbg/usr/lib/python$$x/dist-packages/_dbus_glib_bindings.so \
-			debian/tmp/usr/lib/python$$x/dist-packages/_dbus_glib_bindings_d.so; \
-		install -d debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info; \
-		install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
-		install -m644 dbus_python.egg-info/dependency_links.txt debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
-		install -m644 dbus_python.egg-info/top_level.txt debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/; \
-		touch debian/tmp/usr/lib/python$$x/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/not-zip-safe; \
-	done
-endif
 	set -e; for x in $(PYTHON3); do \
 		PYTHON=/usr/bin/python$$x \
 		dh_auto_install \
@@ -137,6 +88,8 @@
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+		mv "debian/tmp/usr/libexec/installed-tests/dbus-python/python$$x/test/dbus_py_test.so" \
+			"debian/tmp/usr/lib/python3/dist-packages/dbus_py_test$$so"; \
 		PYTHON=/usr/bin/python$$x-dbg \
 		dh_auto_install \
 			--arch \
@@ -153,6 +106,8 @@
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_bindings$$so; \
 		mv debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings.so \
 			debian/tmp-dbg/usr/lib/python3/dist-packages/_dbus_glib_bindings$$so; \
+		mv "debian/tmp-dbg/usr/libexec/installed-tests/dbus-python/python$$x-dbg/test/dbus_py_test.so" \
+			"debian/tmp-dbg/usr/lib/python3/dist-packages/dbus_py_test$$so"; \
 	done
 	install -d debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info
 	install -m644 dbus_python.egg-info/PKG-INFO debian/tmp/usr/lib/python3/dist-packages/dbus_python-${DEB_VERSION_UPSTREAM}.egg-info/
@@ -183,10 +138,6 @@
 	dh_installexamples --remaining-packages
 
 override_dh_installdocs:
-ifneq ($(filter python-dbus,$(binaries)),)
-	dh_installdocs --link-doc=python-dbus -ppython-dbus-dbg
-	dh_installdocs --doc-main-package=python-dbus -ppython-dbus
-endif
 	dh_installdocs --link-doc=python3-dbus -ppython3-dbus-dbg
 	dh_installdocs --doc-main-package=python-dbus-doc -ppython-dbus-doc
 	dh_installdocs --doc-main-package=python3-dbus -ppython3-dbus
@@ -197,10 +148,23 @@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -Rf build-* install-2* install-3* debian/tmp-dbg
+	rm -Rf build-* install-3* debian/tmp-dbg
 	find . -name '*.py[co]' -print0 | xargs -0 rm -f
 
 override_dh_missing:
 	dh_missing --fail-missing
 
 override_dh_strip:
+	dh_strip --dbg-package=python3-dbus-dbg -ppython3-dbus -ppython3-dbus-dbg -ppython3-dbus-tests
+
+override_dh_python3:
+	dh_python3
+	set -e; for x in $(PYTHON3) $(patsubst %,%-dbg,$(PYTHON3)); do \
+		dh_python3 --shebang="/usr/bin/python$$x" \
+			/usr/libexec/installed-tests/dbus-python/python$$x; \
+	done
+
+ifeq ($(DEB_HOST_ARCH),mipsel)
+override_dh_dwz:
+	: # Skip dh_dwz on mipsel, https://bugs.debian.org/972269
+endif
